# List formation presets

Section: Your data › PVP tracker › Formation presets

```
GET https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets?search=
```

Lists your saved teams for the season.

**Parameters**

- `seasonId` (path): The season id.
- `search`: Only presets whose name contains this text.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `seasonId` |  |

## Query parameters

| Name | Value |
| --- | --- |
| `search` |  |

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": "mh7ah14jxbermvmd8ksf0eqjws8e0s6n",
      "createdAt": "2026-09-08T18:35:48.601Z",
      "name": "Kuroko Mika ATK",
      "matchType": "attack",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
      "team": [
        {
          "studentId": "shiroko_terror"
        },
        {
          "studentId": "yuuka"
        },
        {
          "studentId": "mika"
        },
        {
          "studentId": "eimi"
        },
        {
          "studentId": "reisa_magical"
        },
        {
          "studentId": "utaha"
        }
      ],
      "teamKey": "87c5db1146f598f0",
      "usedByMe": true
    },
    {
      "id": "mh7d76991k97a1ah49qegezqsh8e1nga",
      "createdAt": "2026-09-08T18:36:12.624Z",
      "name": "Shun SHanako DEF",
      "matchType": "defense",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
      "team": [
        {
          "studentId": "yuuka"
        },
        {
          "studentId": "hanako_swimsuit"
        },
        {
          "studentId": "shun"
        },
        {
          "studentId": "tsubaki"
        },
        {
          "studentId": "michiru_dress"
        },
        {
          "studentId": "hibiki"
        }
      ],
      "teamKey": "c5cf00744a2aa7a4",
      "usedByMe": true
    }
  ]
}
```

## Examples

### cURL

```bash
curl 'https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets?search=' \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets?search=", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets?search="
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets?search=", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
